function GaborPriznaky=banka2(vyrezSedoton,u,v,m,n)
if (nargin ~= 5)    % spravny pocet vstupu?
    error('pocet vstupu musi byt 5!')
end
%% banka filtru %WZ
G=zeros(m,n,u*v);
fmax = 0.25; gama = sqrt(2); ny = sqrt(2);
for i = 1:u    
    fu = fmax/((sqrt(2))^(i-1));
    alfa = fu/gama;
    beta = fu/ny;    
    for j = 1:v
        tetav = ((j-1)/v)*pi;
        gFilter = zeros(m,n);        
        for x = 1:m
            for y = 1:n
                xprime = (x-((m+1)/2))*cos(tetav)+(y-((n+1)/2))*sin(tetav);
                yprime = -(x-((m+1)/2))*sin(tetav)+(y-((n+1)/2))*cos(tetav);
                gFilter(x,y) = (fu^2/(pi*gama*ny))*exp(-((alfa^2)*(xprime^2)+(beta^2)*(yprime^2)))*exp(1i*2*pi*fu*xprime);
            end
        end
        G(:,:,(i-1)*v+j)=gFilter;      
    end
end

%% Vypocet vektoru priznaku
G=real(G);
for j=1:length(G(1,1,:)) %vysledek konvoluce obrazu s jednotlivými filtry
    GaborPriznaky(:,:,j)=conv2(vyrezSedoton,G(:,:,j),'same'); 
end
end
